﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Mozlite.Components
{
    /// <summary>
    /// 账户状态。
    /// </summary>
    public enum AccountStatus
    {
        /// <summary>
        /// 等待验证。
        /// </summary>
        Pending,
        /// <summary>
        /// 通过验证。
        /// </summary>
        Approved,
        /// <summary>
        /// 没通过验证。
        /// </summary>
        Disapproved,
        /// <summary>
        /// 被禁用。
        /// </summary>
        Banned,
    }
}
