﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Mozlite.Components
{
    /// <summary>
    /// 后台设置。
    /// </summary>
    public class BackendSettings : BaseConfiguration<BackendSettings>
    {
        /// <summary>
        /// 初始化后台设置。
        /// </summary>
        public BackendSettings() {
            this.UserSize = Consts.DefaultPageSize;
        }

        /// <summary>
        /// 每页显示的用户记录数。
        /// </summary>
        public int UserSize { get; set; }
    }
}
