﻿/*********************************************************
 * 开发人员：小兵
 * 创建时间：2012-10-26 16:59:34
 * 描述说明：
 * 
 * 更改历史：
 * 
 * *******************************************************/
namespace Mozlite.Components
{
    using System;
    using System.Web;
    using System.Data;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// 资源语言相关的查询基类。
    /// </summary>
    public abstract class BaseCultureQuery : BaseQuery
    {
        /// <summary>
        /// 初始化类<see cref="BaseCultureQuery"/>。
        /// </summary>
        public BaseCultureQuery() {
            CultureName = Context.CultureName;
        }

        /// <summary>
        /// 区域语言。
        /// </summary>
        public string CultureName { get; set; }
    }
}
