﻿namespace Mozlite.Components
{
	using System;
	using System.Collections.Generic;
	using System.Linq;
	using System.Text;

	/// <summary>
	/// 配置接口类。
	/// </summary>
	public interface IConfiguration 
	{
		/// <summary>
		/// 创建日期。
		/// </summary>
		DateTime CreateDate { get;set; }

		/// <summary>
		/// 最后更新日期。
		/// </summary>
		DateTime LastUpdateDate { get;set; }

        /// <summary>
        /// 保存配置。
        /// </summary>
        /// <returns>返回保存结果。</returns>
        bool Save();
	}
}

