﻿namespace Mozlite.Components
{
	using System;
	using System.Collections.Generic;
	using System.Linq;
	using System.Text;

	/// <summary>
	/// 多语言配置接口，这种配置需要区域资源键内唯一。
	/// </summary>
	public interface IResourceConfiguration  : IConfiguration
	{
		/// <summary>
		/// 资源区域名称，多语言关键字。
		/// </summary>
		string CultureName { get;set; }

	}
}

