﻿/*********************************************************
 * 开发人员：小兵
 * 创建时间：2012-10-24 11:22:24
 * 描述说明：
 * 
 * 更改历史：
 * 
 * *******************************************************/
namespace Mozlite.Components
{
    using System;
    using System.Web;
    using System.Data;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// 在线用户实例类。
    /// </summary>
    public class OnlineUser
    {
        /// <summary>
        /// 唯一ID。
        /// </summary>
        public Guid PublicKey { get; set; }
        /// <summary>
        /// 用户ID。
        /// </summary>
        public int UserID { get; set; }
        /// <summary>
        /// 用户名。
        /// </summary>
        public string UserName { get; set; }
        /// <summary>
        /// 最后访问的页面地址。
        /// </summary>
        public Uri Url { get; set; }
        /// <summary>
        /// 用户的IP地址。
        /// </summary>
        public string IPAddress { get; set; }
        /// <summary>
        /// 最后激活时间。
        /// </summary>
        public DateTime LastAcitveDate { get; set; }
        /// <summary>
        /// 用户客户端。
        /// </summary>
        public string UserAgent { get; set; }
        /// <summary>
        /// 引用地址。
        /// </summary>
        public Uri ReferrerUrl { get; set; }
    }
}
