﻿/*********************************************************
 * 开发人员：小兵
 * 创建时间：2012-10-18 10:35:14
 * 描述说明：
 * 
 * 更改历史：
 * 
 * *******************************************************/
namespace Mozlite.Components
{
    using System;
    using System.Web;
    using System.Data;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// 用户组等级。
    /// </summary>
    [Flags]
    public enum RoleLevel
    {
        /// <summary>
        /// 匿名等级。
        /// </summary>
        Anonymous = 0,
        /// <summary>
        /// 普通会员。
        /// </summary>
        Register = 0x01,
        /// <summary>
        /// 编辑。
        /// </summary>
        Editor = 0x2000 | Register,
        /// <summary>
        /// 管理员。
        /// </summary>
        Administrator = 0x4000 | Editor,
        /// <summary>
        /// 创建者。
        /// </summary>
        Creator = 0x7FFF,
    }
}
