﻿/*********************************************************
 * 开发人员：小兵
 * 创建时间：2012-10-22 14:16:24
 * 描述说明：
 * 
 * 更改历史：
 * 
 * *******************************************************/
namespace Mozlite.WebUI
{
    using System;
    using System.Web;
    using System.Data;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Web.Routing;
    using System.Web.Mvc;

    /// <summary>
    /// 地址路由基类。
    /// </summary>
    public abstract class BaseRouteRegistration
    {
        /// <summary>
        /// 初始化类<see cref="BaseRouteRegistration"/>。
        /// </summary>
        public BaseRouteRegistration() { }

        /// <summary>
        /// 注册URL路由地址。
        /// </summary>
        /// <param name="routes">路由集合。</param>
        public abstract void Register(RouteCollection routes);

        /// <summary>
        /// 注册后台URL路由地址。
        /// </summary>
        /// <param name="context">区域路由注册上下级实例对象。</param>
        public abstract void Register(AreaRegistrationContext context);
    }
}
