﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Mozlite.WebUI
{
    /// <summary>
    /// 后缀名模式。
    /// </summary>
    public enum FileExtensionMode
    {
        /// <summary>
        /// 无后缀名，MVC默认模式。
        /// </summary>
        None,
        /// <summary>
        /// HTML后缀名，需要设置IIS映射。
        /// </summary>
        Html,
        /// <summary>
        /// Asp.Net默认后缀名。
        /// </summary>
        Aspx,
    }
}
