﻿/*********************************************************
 * 开发人员：网魂小兵
 * 创建时间：2012/6/14 22:35:19
 * 运行环境：.NET Framework 4.0.30319.17020
 * 修改历史：
 * 
 * *******************************************************/

namespace Mozlite.WebUI
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Web.UI;

    /// <summary>
    /// 页面基类。
    /// </summary>
    public abstract class BasePage:Page
    {
        /// <summary>
        /// 初始化类<see cref="T:Mozlite.Web.BasePage"/>。
        /// </summary>
        public BasePage()
        {

        }

        /// <summary>
        /// 执行脚本。
        /// </summary>
        /// <param name="jscode">脚本格式。</param>
        /// <param name="args">参数。</param>
        protected void Execute(string jscode, params object[] args)
        {
            jscode = jscode.FormatWith(args);
            ClientScript.RegisterStartupScript(this.GetType(), Guid.NewGuid().GetHashCode().ToString("X"), jscode, true);
        }
    }
}
