﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Mozlite.Components
{
    /// <summary>
    /// 网站全局配置。
    /// </summary>
    [Serializable]
    public class SiteSettings : BaseResourceConfiguration<SiteSettings>
    {
        /// <summary>
        /// 网站域名。
        /// </summary>
        public string SiteName { get; set; }
        /// <summary>
        /// 版权信息。
        /// </summary>
        public string Copyright { get; set; }
    }
}
