﻿/*********************************************************
 * 开发人员：小兵
 * 创建时间：2012-10-22 13:58:19
 * 描述说明：
 * 
 * 更改历史：
 * 
 * *******************************************************/
namespace Mozlite.Components
{
    using System;
    using System.Web;
    using System.Data;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// 递归接口。
    /// </summary>
    public interface IRecursion<T> where T : IRecursion<T>
    {
        /// <summary>
        /// 获取父对象。
        /// </summary>
        T Parent { get; }
        /// <summary>
        /// 子对象列表。
        /// </summary>
        List<T> Children { get; }
        /// <summary>
        /// 是否含有子项。
        /// </summary>
        bool HasChildren { get; }
    }
}
