﻿/*********************************************************
 * 开发人员：小兵
 * 创建时间：2012-10-18 14:34:29
 * 描述说明：
 * 
 * 更改历史：
 * 
 * *******************************************************/
namespace Mozlite.WebUI.Ribbon
{
    using System;
    using System.Web;
    using System.Data;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Xml;

    /// <summary>
    /// 菜单实体类。
    /// </summary>
    public class OrbMenu : Item
    {
        /// <summary>
        /// 初始化类<see cref="OrbMenu"/>。
        /// </summary>
        /// <param name="root">节点实例对象。</param>
        public OrbMenu(XmlNode root) : base(root, Components.RoleLevel.Register) {

        }

        /// <summary>
        /// 读取除了当前节点外的其他节点。
        /// </summary>
        /// <param name="node">节点实例。</param>
        protected override void LoadElseChildren(XmlNode node)
        {
            if(Children == null)
                Children = new List<Item>();
            if(node.Name == "submenu")
            {
                Children.Add(new Item(node, this.RoleLevel));
            }
        }
        /// <summary>
        /// 子节点列表。
        /// </summary>
        public List<Item> Children { get; set; }
    }
}
