﻿/*********************************************************
 * 开发人员：小兵
 * 创建时间：2012-10-9 13:47:46
 * 描述说明：
 * 
 * 更改历史：
 * 
 * *******************************************************/
namespace Mozlite.Data.Components
{
    using System;
    using System.Web;
    using System.Data;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// 安装基类。
    /// </summary>
    public class BaseSqlHelper<THelper> where THelper : ISqlHelper
    {
        private readonly THelper helper;

        /// <summary>
        /// 获取数据库辅助方法接口实例。
        /// </summary>
        protected THelper SqlHelper
        {
            get { return helper; }
        }
        
        /// <summary>
        /// 初始化类型<see cref="BaseSqlHelper&lt;THelper&gt;"/>。
        /// </summary>
        /// <param name="helper">数据库辅助接口实例。</param>
        protected BaseSqlHelper(THelper helper)
        {
            this.helper = helper;
        }
    }
}
