﻿/*********************************************************
 * 开发人员：小兵
 * 创建时间：2012-10-8 17:07:00
 * 描述说明：
 * 
 * 更改历史：
 * 
 * *******************************************************/
namespace Mozlite.Data.Components
{
    using System;
    using System.Web;
    using System.Data;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using Mozlite.Data.Components.Structures;
    using Mozlite.Data.Components.Installer;

    /// <summary>
    /// 安装接口工厂实例。
    /// </summary>
    public interface IInstallerFactory
    {
        /// <summary>
        /// 新建一个安装实例。
        /// </summary>
        /// <returns>返回安装实例对象。</returns>
        IInstaller CreateInstaller();

        /// <summary>
        /// 新建一个数据库实例。
        /// </summary>
        /// <returns>返回数据库实例对象。</returns>
        IDatabase CreateDatabase();
    }
}
