﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Mozlite.Caching
{
    /// <summary>
    /// 缓存加载器代理，即没有缓存值载入的对象实例。
    /// </summary>
    /// <returns>返回载入的对象实例。</returns>
    public delegate object CacheLoaderDelegate();

    /// <summary>
    /// 缓存加载器代理，即没有缓存值载入的对象实例。
    /// </summary>
    /// <typeparam name="T">缓存类型。</typeparam>
    /// <param name="cacheKey">缓存键。</param>
    /// <returns>返回载入的对象实例。</returns>
    public delegate T CacheLoaderDelegate<T>(string cacheKey);
}
